PUT api/v1/ChildToyStatus/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

ChildToyStatus
NameDescriptionTypeAdditional information
Id

integer

None.

ChildId

integer

None.

ToyItemId

integer

None.

IsFavorite

boolean

None.

Rating

byte

None.

LastPlayed

date

None.

Notes

string

None.

CreatedAt

date

None.

UpdatedAt

date

None.

ToyItem

ToyItem

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "childId": 2,
  "toyItemId": 3,
  "isFavorite": true,
  "rating": 64,
  "lastPlayed": "2026-04-18T15:04:35.2879129+03:00",
  "notes": "sample string 4",
  "createdAt": "2026-04-18T15:04:35.2879129+03:00",
  "updatedAt": "2026-04-18T15:04:35.2879129+03:00",
  "toyItem": {
    "id": 1,
    "category": 64,
    "title": "sample string 3",
    "description": "sample string 4",
    "ageMinMonths": 5,
    "ageMaxMonths": 1,
    "skills": "sample string 6",
    "difficulty": 64,
    "imageUrl": "sample string 7",
    "productUrl": "sample string 8",
    "displayOrder": 1,
    "isActive": true,
    "isDeleted": true,
    "createdAt": "2026-04-18T15:04:35.2879129+03:00",
    "updatedAt": "2026-04-18T15:04:35.2879129+03:00",
    "childToyStatus": [],
    "toyTag": [
      {
        "id": 1,
        "name": "sample string 2",
        "slug": "sample string 3",
        "isActive": true,
        "isDeleted": true,
        "createdAt": "2026-04-18T15:04:35.2879129+03:00",
        "updatedAt": "2026-04-18T15:04:35.2879129+03:00",
        "toyItem": []
      },
      {
        "id": 1,
        "name": "sample string 2",
        "slug": "sample string 3",
        "isActive": true,
        "isDeleted": true,
        "createdAt": "2026-04-18T15:04:35.2879129+03:00",
        "updatedAt": "2026-04-18T15:04:35.2879129+03:00",
        "toyItem": []
      }
    ]
  }
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.